%global ver_major 3
%global ver_minor 1
%global ver_patch 2
%global ver_tweak 2
%global ver_under %{ver_major}_%{ver_minor}_%{ver_patch}_%{ver_tweak}


Name:           rsync-bpc
Version:        3.1.3.0
Release:        4%{?dist}
Summary:        A customized version of rsync that is used as part of BackupPC

License:        GPLv3+
URL:            https://github.com/backuppc/rsync-bpc
Source0:        https://github.com/backuppc/rsync-bpc/archive/v%{ver_under}/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  gcc
BuildRequires:  libacl-devel
BuildRequires:  libattr-devel
BuildRequires:  popt-devel


%description
Rsync-bpc is a customized version of rsync that is used as part of
BackupPC, an open source backup system.

The main change to rsync is adding a shim layer (in the subdirectory
backuppc, and in bpc_sysCalls.c) that emulates the system calls for
accessing the file system so that rsync can directly read/write files
in BackupPC's format.

Rsync-bpc is fully line-compatible with vanilla rsync, so it can talk
to rsync servers and clients.

Rsync-bpc serves no purpose outside of BackupPC.


%prep
%setup -n %{name}-%{version}


%build
%configure
%make_build


%install
%make_install


%files
%license COPYING
%doc NEWS README
%{_bindir}/rsync_bpc


%changelog
* Tue Jan 11 2022 Daniel Berteaud <dbd@ehtrace.com> 3.1.3.0-4
- Release bump

* Thu Dec 09 2021 Daniel Berteaud <dani@lapiole.org> 3.1.3.0-3
- Update tito builder (dani@lapiole.org)

* Fri Oct 09 2020 Daniel Berteaud <daniel@firewall-services.com> 3.1.3.0-2
- Update to 3.1.3.0 (daniel@firewall-services.com)

* Mon Jun 22 2020 Daniel Berteaud <daniel@firewall-services.com> 3.1.2.2-2
- Update to 3.1.2.2 (daniel@firewall-services.com)

* Tue Jul 09 2019 Daniel Berteaud <daniel@firewall-services.com> 3.1.2.1-1
- Update to 3.1.2.1 (daniel@firewall-services.com)

* Thu Jan 24 2019 Daniel Berteaud <daniel@firewall-services.com> 3.1.2.0-1
- Update to 3.1.2.0 (daniel@firewall-services.com)

* Tue Nov 27 2018 Daniel Berteaud <daniel@firewall-services.com> 3.0.9.13-1
- Update tito config to match new lib path (daniel@firewall-services.com)
- Remove old archives (daniel@firewall-services.com)
- Update to 3.0.9.13 (daniel@firewall-services.com)
- Switch to GitLfsBuilder (daniel@firewall-services.com)

* Thu Apr 05 2018 Daniel Berteaud <daniel@firewall-services.com> 3.0.9.12-1
- Update to 3.0.9.12 (daniel@firewall-services.com)

* Thu Dec 14 2017 Daniel Berteaud <daniel@firewall-services.com> 3.0.9.11-1
- Update to 3.0.9.11 (daniel@firewall-services.com)

* Mon Dec 04 2017 Daniel Berteaud <daniel@firewall-services.com> 3.0.9.9-1
- Use GitAnnexBuilder (daniel@firewall-services.com)

* Mon Dec 04 2017 Daniel Berteaud <daniel@firewall-services.com> 3.0.9.9-0.beta1
- new package built with tito

* Mon Dec 4 2017 Daniel Beretaud <daniel@firewall-services.com> - 3.0.9.9-1
- Update to 3.0.9.9

* Wed Jun 14 2017 Daniel Beretaud <daniel@firewall-services.com> - 3.0.9.8-1
- Update to latest upstream release

* Sat Mar 25 2017 Richard Shaw <hobbes1069@gmail.com> - 3.0.9.6-1
- Update to latest upstream release.

* Sat Mar 18 2017 Richard Shaw <hobbes1069@gmail.com> - 3.0.9.5-1
- Several spec file updates.

* Mon Mar 13 2017 Richard Shaw <hobbes1069@gmail.com> - 3.0.9.5-1
- Initial packaging.
